$primary: #2058C8; // default to nestlé primary color
$secondary: #FFFFFF; // default to nestlé secondary color

$black : #292929;
$grey : hsl(0, 0%, 58%);
$grey : #939393;


#primary-footer p,
#primary-footer a {
  font-family: VAGRoundedStd;
  font-weight: unset;
}

footer {
  background-color: #E3F5FF;
  border-top: 6px solid $primary;
  font-family: 'Nestle Text TF';
  font-weight: normal;
  line-height: 1.65;
  letter-spacing: .15px;
  position: relative;

  p {
    margin: 0;
    color: $black;
  }

  ul {
    list-style: none;
    margin: 0;
    padding-left: 0;
  }

  .svg-icon {
    width: 34px;
    height: 34px;

    .circle {
      fill: $primary;
    }

    .shape {
      fill: $secondary;
    }

    @media screen and (min-width: 768px) {
      width: 24px;
      height: 24px;
    }
  }

  .footer-container {
    padding-left: 34px;
    padding-right: 34px;
    width: 100%;
    margin: auto;
    max-width: 540px;

    @media screen and (min-width: 768px) {
      max-width: 720px;
      padding-left: 15px;
      padding-right: 15px;
    }

    @media screen and (min-width: 992px) {
      max-width: 960px;
    }

    @media screen and (min-width: 1200px) {
      // max-width: calc(100% - 258px);
      max-width: 1180px;
    }

    .footer-row {
      display: flex;
      flex-wrap: wrap;
      margin: 0 -1rem;

      >* {
        padding-left: .5rem;
        padding-right: .5rem;
      }

      &.top-footer-row {
        margin: 0 -1.75rem;
        align-items: flex-start;

        >* {
          padding-left: 1.75rem;
          padding-right: 1.75rem;
        }
      }

      &.utils-col-row {
        margin: 0 -8px;

        >* {
          padding-left: 8px;
          padding-right: 8px;
        }
      }

      .brand-col {
        padding-top: 1.5rem;

        figure {
          margin: 0;

          img {
            display: block;
            width: 100%;
            height: auto;
          }
        }

        .copyright {
          margin: 10px 0 0;
          font-size: 13px;
          color: $grey;
        }
      }

      .menu-col {
        padding-top: 1.5rem;

        a {
          font-weight: inherit;
          color: $black;

          &:hover {
            color: darken($black, 15%);
          }
        }

        >* {
          >* {
            width: 100%;
            margin-bottom: 2rem;
          }

          .footer-menu-main {

            ul {
              li {
                &+li {
                  margin-top: .25rem;
                }

                a {
                  font-weight: bold;
                  text-decoration: none;
                }
              }
            }
          }

          .footer-menu-services {

            p {
              // font-size: 16px;
              font-weight: bold;
            }

            img {
                @include media-breakpoint-up(lg) {
                width: 24px;
                height: 24px;
              }
            }

            .service-call {
              margin-top: .5rem;

              span {
                font-weight: normal;
                font-size: 14px;
                display: block;
              }

              small {
                font-size: 92%;
              }
            }
          }

          .footer-menu-socials {

            p {
              font-family: 'Nestle Brush';
              font-size: 20px;
            }

            .footer-social-list {
              display: flex;
              margin-top: .5rem;

              li {
                flex: 0 0 auto;

                &+li {
                  margin-left: 10px;
                }
              }
            }
          }
        }
      }

      .utils-col {
        .utils-col--inner {
          padding-left: 1.75rem;
          padding-right: 1.75rem;
        }

        figure {
          margin: 0;

          img {
            max-width: 100%;
            width: auto;
          }
        }

        .sahabatnestle-col {
          flex: 0 0 37%;
          max-width: 37%;
        }

        .healthier-kids-col {
          flex: 0 0 63%;
          max-width: 63%;
        }
      }

      .policy-col {
        margin-top: 1.5rem;
        padding-bottom: 1.5rem;

        .footer-policy {
          font-size: 9px;
          color: $grey;
        }
      }

      @media screen and (min-width: 768px) {
        .brand-col {
          order: 1;
          flex: 0 0 40%;
          max-width: 40%;
        }

        .menu-col {
          order: 3;
          flex: 1 1 auto;

          .footer-menu-main {
            flex: 0 0 32%;
            max-width: 32%;
            order: 1;
          }

          .footer-menu-services {
            flex: 0 0 36%;
            max-width: 36%;
            order: 2;
          }

          .footer-menu-socials {
            flex: 0 0 32%;
            max-width: 32%;
            order: 3;
          }
        }

        .utils-col {
          order: 2;
          flex: 0 0 35%;
          margin-left: 25%;

          .utils-col--inner {
            padding-left: 0;
            padding-right: 0;
          }
        }

        .policy-col {
          order: 4;
        }
      }

      @media screen and (min-width: 1200px) {
        .brand-col {
          flex: 0 0 24%;
          max-width: 24%;
          order: 1;

          .copyright {
            font-size: 10px;
          }
        }

        .menu-col {
          flex: 0 0 52%;
          max-width: 52%;
          font-size: 12px;
          order: 2;

          .footer-menu-services {
            p {
              font-size: 12px;
            }

            .service-call {
              span {
                font-size: 10px;
              }
            }
          }

          .footer-menu-socials {
            p {
              font-size: 1rem;
            }

            .footer-social-list {
              li {
                &+li {
                  margin-left: 10px;
                }
              }
            }
          }
        }

        .utils-col {
          flex: 0 0 24%;
          max-width: 24%;
          order: 3;
          margin-left: 0;
        }

        .policy-col {
          flex: 0 0 52%;
          max-width: 52%;
          margin-left: 24%;
          margin-top: 0;
        }
      }
    }
  }
}
